---
title: "Reviews"
description: "获取 Walmart 商品的评价，每次一页。"
---

> Every apinoa docs page as markdown: https://apinoa.com/llms.txt (all in one file: https://apinoa.com/llms-full.txt; this API family in one file: https://apinoa.com/docs/marketplace/llms.txt)

```http
GET | POST /v1/walmart/reviews
```

参数可以用 `GET` 的查询字符串发送，也可以用 `POST` 的 JSON 请求体发送，两者等价。

## 请求

```bash tab="cURL"
curl "https://gateway.apinoa.com/v1/walmart/reviews?id=344144554" \
  -H "x-api-key: $APINOA_API_KEY"
```

```js tab="JavaScript"
const params = new URLSearchParams({ id: "344144554" });
const res = await fetch(`https://gateway.apinoa.com/v1/walmart/reviews?${params}`, {
  headers: { "x-api-key": process.env.APINOA_API_KEY },
});
const { success, data, error } = await res.json();
```

```python tab="Python"
import os

import requests

res = requests.get(
    "https://gateway.apinoa.com/v1/walmart/reviews",
    params={"id": "344144554"},
    headers={"x-api-key": os.environ["APINOA_API_KEY"]},
)
body = res.json()
```

## 参数

| Parameter | Type | Required | Notes |
|---|---|---|---|
| `id` | string | yes | Walmart's `usItemId`, all digits, as carried by a search item. |
| `page` | integer |  | 1-based review page; Walmart returns 10 reviews per page. |

The same parameters, and every response type, are in the OpenAPI document: https://apinoa.com/openapi.json

## 响应

在 `data` 中返回 [`ReviewPage`](/docs/api-reference/marketplaces/response-schema#reviewpage)。 真实响应的节选：数组只保留前几项，长文本已截断。

```json
{
  "success": true,
  "data": {
    "marketplace": "walmart",
    "productId": "344144554",
    "summary": {
      "average": 4.7,
      "count": 552,
      "distribution": {
        "1": 3,
        "2": 1,
        "3": 2,
        "4": 9,
        "5": 85
      }
    },
    "page": {
      "index": 1,
      "size": 10,
      "total": 160
    },
    "reviews": [
      {
        "id": "445007093",
        "author": "Tracy",
        "rating": 5,
        "title": "The best thermal socks",
        "body": "My husband loves these socks. They are the only ones he will wear.",
        "date": "2026-10-20",
        "verified": true,
        "helpfulCount": 0,
        "variant": "Black / Shoe Size 6-12",
        "images": []
      },
      {
        "id": "432152477",
        "rating": 5,
        "body": "My husband absolutely loves these socks.  They are great for him for winter when he has to work outside. Super comforta…",
        "date": "2026-07-12",
        "verified": true,
        "helpfulCount": 0,
        "variant": "Navy / Shoe Size 6-12",
        "images": []
      }
    ],
    "grouped": true
  }
}
```

## 错误

| 状态 | 代码 | 含义 |
|---|---|---|
| 400 | `INVALID_PARAMS` | 参数缺失、未知或超出范围。消息中会指出是哪一个。 |
| 401 | `UNAUTHORIZED` | 缺少 `x-api-key` 请求头，或密钥已吊销或未知。 |
| 402 | `INSUFFICIENT_BALANCE` | 余额不足以支付本次调用。请在控制台充值。 |
| 429 | `MARKETPLACE_SATURATED` | 并发调用过多。请等待 `Retry-After` 秒后重试。 |
| 502 | `UPSTREAM_ERROR` | 平台返回了无法使用的内容。请退避后重试。 |

全部错误代码见 [Errors](/docs/errors)。失败的调用不计费。

## 价格

**Price** $0.001 per call. [List price](https://apinoa.com/en/pricing); the rate steps down above 1,000 calls a day.

## 说明

- **按 `page` 分页。** 没有 `cursor`。
